Bug 1026404 - small error in the spec file
small error in the spec file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mariadb (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Honza Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 10:02 EST by Oden Eriksson
Modified: 2013-11-04 10:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-04 10:47:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oden Eriksson 2013-11-04 10:02:29 EST
Hello.

The mariadb-5.5.33a-2.fc21.src.rpm package won't backport due to the new:

# In f20+ use unversioned docdirs, otherwise the old versioned one
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

And the conditional rpm magic makes INSTALL_DOCDIR and INSTALL_DOCREADMEDIR unset for an older distro, which in turn makes the build barf when it can't find for example '/home/oden/RPM/BUILDROOT/mariadb-5.5.33a-1.fc18.i386/usr/share/doc/mariadb-5.5.33a/INFO_SRC'.

Proposed fix:

--- mariadb.spec        2013-10-14 07:36:05.000000000 -0400
+++ mariadb.spec.oden   2013-10-31 14:27:22.685378819 -0400
@@ -325,6 +325,9 @@
 %if 0%{?fedora} >= 20
        -DINSTALL_DOCDIR=share/doc/mariadb \
        -DINSTALL_DOCREADMEDIR=share/doc/mariadb \
+%else
+       -DINSTALL_DOCDIR=share/doc/%{name}-%{version} \                                                                                                                                                            
+       -DINSTALL_DOCREADMEDIR=share/doc/%{name}-%{version} \                                                                                                                                                      
 %endif                                                                                                                                                                                                            
        -DINSTALL_INCLUDEDIR=include/mysql \                                                                                                                                                                       
        -DINSTALL_INFODIR=share/info \                                                                                                                                                                             




Cheers.
Comment 1 Honza Horak 2013-11-04 10:47:08 EST
Thanks for reporting and patch provided. Applied to Rawhide:
http://pkgs.fedoraproject.org/cgit/mariadb.git/commit/?id=9a2be74e7b0a6cc9e1e3f26ca980601f3715931e

Note You need to log in before you can comment on or make changes to this bug.